Katello - Bug #7214

Sass error on content dashboard page
08/21/2014 02:28 PM - Walden Raines

Status: Closed
Priority: Normal
Assignee: Walden Raines
Category: Web Ul
Target version: Katello 2.0
Difficulty: easy Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/460
0
Description

Sass::SyntaxError ("#contents #changeset_tree .locked_breadcrumb_filter" failed to @extend "breadcrumb_filter".
The selector "breadcrumb_filter" was not found.

Use "@extend breadcrumb_filter !optional" if the extend should be able to fail.

(in /home/walden/code/katello/app/assets/stylesheets/katello/katello.scss)):
lib/middleware/catch_json_parse_errors.rb:9:in ‘call'

Rendered /home/walden/.rvm/gems/ruby-1.9.3-p547/gems/actionpack-3.2.18/1ib/action_dispatch/middl
eware/templates/rescues/_trace.erb (1.0ms)

Rendered /home/walden/.rvm/gems/ruby-1.9.3-p547/gems/actionpack-3.2.18/1ib/action_dispatch/middl
eware/templates/rescues/_request_and_response.erb (0.8ms)

Rendered /home/walden/.rvm/gems/ruby-1.9.3-p547/gems/actionpack-3.2.18/1ib/action_dispatch/middl
eware/templates/rescues/diagnostics.erb within rescues/layout (6.5ms)

Steps to Reproduce:
1. Go to the content dashboard
2. Note above error

Associated revisions

Revision 9277d581 - 08/21/2014 02:32 PM - Walden Raines

Fixes #7214: add loptional to @extends, required after sass update

There were sass errors occurring on load after we upgraded sass.
This commit adds !optional to the @extends so we don't get an error.

http://projects.theforeman.org/issues/7214

Revision f2f58b04 - 08/21/2014 03:07 PM - Walden Raines
Merge pull request #4600 from waldenraines/7214

Fixes #7214: add loptional to @extends, required after sass update

History

#1 - 08/21/2014 02:34 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/4600 added
- Pull request deleted ()

#2 - 08/21/2014 04:01 PM - Walden Raines
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|9277d581772191a3214e49b4c7ede9e2af5245a8.

#3 - 08/22/2014 09:30 AM - Eric Helms

- translation missing: en.field_release set to 13
